Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class Agenda

    java.lang.Object
      ix.ip2.Agenda

All Implemented Interfaces:
  ProcessStatusListener, AgendaManager, java.util.EventListener

Direct Known Subclasses:
  ActivityAgenda, IssueAgenda

    public abstract class Agenda

extends java.lang.Object
implements AgendaManager, ProcessStatusListener

A collection of things to do.

Field Summary
`protected PanelController` | `controller`
`protected java.util.List` | `handlers`
`protected LLQueue` | `items`
`protected java.util.List` | `listeners`

Constructor Summary
`Agenda(PanelController controller)`

Method Summary
`boolean` | `acceptReport(Report report)`
`void` | `addAgendaListener(AgendaListener listener)`
`void` | `addHandlerActions(AgendaItem item)`
`void` | `addItem(AgendaItem item)`
`void` | `addItemHandler(ItemHandler handler)`
`void` | `addItemsBefore(AgendaItem at, java.util.List addList)`
`boolean` | `canHandleAutomatically(TaskItem issueOrActivity)`
`protected void` | `checkActionValidity()` Checks the validity of all handler-actions.
`protected void` | `checkActionValidity(AgendaItem item)`
`void` | `checkActionValidity(ItemHandler handler, java.lang.Object reason)` Called by the controller when a handler has discovered that some actions may need to be deleted.
`void` | `clear()`
`protected void` | `computeActionStatus()`
`protected void` | `computeActionStatus(AgendaItem item)`
`void` | `expandItem(AgendaItem item, Refinement instructions)`
`void` | `fireItemAdded(AgendaItem item)`
`void` | `fireItemHandled(AgendaItem item, HandlerAction action)`
`void` | `fireItemRemoved(AgendaItem item)`
`void` | `fireNewBindings(java.util.Map bindings)`
`AgendaItem` | `getItem(Name id)`
`java.util.List` | `getItemHandlers()`
`java.util.List` | `getItems()`
`java.util.List` | `getSyntaxList()`
`void` | `handleAutomatically(TaskItem issueOrActivity)`
`void` | `handleItem(AgendaItem item, HandlerAction act)`
`protected void` | `handleItemDirectly(AgendaItem item, HandlerAction act)`
`(package private) void` | `logItemHandled(AgendaItem item, HandlerAction act)`
`abstract AgendaItem` | `makeItem(LList pattern)`
`AgendaItem` | `makeItem(java.lang.String text)`
`abstract AgendaItem` | `makeItem(TaskItem issueOrActivity)`
`void` | `newBindings(ProcessStatusEvent e, java.util.Map bindings)`
`void` | `reconsiderHandler(ItemHandler handler, java.lang.Object reason)` Called by the controller when a handler has discovered that it may need to add actions.
`void` | `removeItem(AgendaItem item)`
`void` | `reset()`
`void` | `stateChange(ProcessStatusEvent e, java.util.Map delta)`
`void` | `stateDeletion(ProcessStatusEvent e, java.util.Map delta)`
`void` | `statusUpdate(ProcessStatusEvent e)`
`boolean` | `wantsReport(Report report)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### controller

    protected PanelController controller

### items

    protected LLQueue items

### handlers

    protected java.util.List handlers

### listeners

    protected java.util.List listeners

Constructor Detail

### Agenda

    public Agenda(PanelController controller)

Method Detail

### reset

    public void reset()

### clear

    public void clear()

### getItems

    public java.util.List getItems()

### getItem

    public AgendaItem getItem(Name id)

### addItem

    public void addItem(AgendaItem item)

  Specified by:
    `addItem` in interface `AgendaManager`

### addItemsBefore

    public void addItemsBefore(AgendaItem at,
                               java.util.List addList)

### removeItem

    public void removeItem(AgendaItem item)

### makeItem

    public AgendaItem makeItem(java.lang.String text)

  Specified by:
    `makeItem` in interface `AgendaManager`

### makeItem

    public abstract AgendaItem makeItem(LList pattern)

  Specified by:
    `makeItem` in interface `AgendaManager`

### makeItem

    public abstract AgendaItem makeItem(TaskItem issueOrActivity)

### canHandleAutomatically

    public boolean canHandleAutomatically(TaskItem issueOrActivity)

### handleAutomatically

    public void handleAutomatically(TaskItem issueOrActivity)

### addHandlerActions

    public void addHandlerActions(AgendaItem item)

### handleItem

    public void handleItem(AgendaItem item,
                           HandlerAction act)

  Specified by:
    `handleItem` in interface `AgendaManager`

### handleItemDirectly

    protected void handleItemDirectly(AgendaItem item,
                                      HandlerAction act)

### logItemHandled

    void logItemHandled(AgendaItem item,
                        HandlerAction act)

### addItemHandler

    public void addItemHandler(ItemHandler handler)

### getItemHandlers

    public java.util.List getItemHandlers()

### getSyntaxList

    public java.util.List getSyntaxList()

### expandItem

    public void expandItem(AgendaItem item,
                           Refinement instructions)

  Specified by:
    `expandItem` in interface `AgendaManager`

### acceptReport

    public boolean acceptReport(Report report)

### wantsReport

    public boolean wantsReport(Report report)

### statusUpdate

    public void statusUpdate(ProcessStatusEvent e)

  Specified by:
    `statusUpdate` in interface `ProcessStatusListener`

### newBindings

    public void newBindings(ProcessStatusEvent e,
                            java.util.Map bindings)

  Specified by:
    `newBindings` in interface `ProcessStatusListener`

### stateChange

    public void stateChange(ProcessStatusEvent e,
                            java.util.Map delta)

  Specified by:
    `stateChange` in interface `ProcessStatusListener`

### stateDeletion

    public void stateDeletion(ProcessStatusEvent e,
                              java.util.Map delta)

  Specified by:
    `stateDeletion` in interface `ProcessStatusListener`

### reconsiderHandler

    public void reconsiderHandler(ItemHandler handler,
                                  java.lang.Object reason)

  Called by the controller when a handler has discovered that it may need to add actions. This method should not be called directly by handlers.

### checkActionValidity

    public void checkActionValidity(ItemHandler handler,
                                    java.lang.Object reason)

  Called by the controller when a handler has discovered that some actions may need to be deleted. This method should not be called directly by handlers.

### checkActionValidity

    protected void checkActionValidity()

  Checks the validity of all handler-actions.

### checkActionValidity

    protected void checkActionValidity(AgendaItem item)

### computeActionStatus

    protected void computeActionStatus()

### computeActionStatus

    protected void computeActionStatus(AgendaItem item)

### addAgendaListener

    public void addAgendaListener(AgendaListener listener)

### fireItemAdded

    public void fireItemAdded(AgendaItem item)

### fireItemRemoved

    public void fireItemRemoved(AgendaItem item)

### fireItemHandled

    public void fireItemHandled(AgendaItem item,
                                HandlerAction action)

### fireNewBindings

    public void fireNewBindings(java.util.Map bindings)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD